### Virtual Method

# Pos Completer set_surrounding_text

#### Declaration [src]

    void
    set_surrounding_text (
      PosCompleter* self,
      const char* before_text,
      const char* after_text
    )

#### Description [src]

Set the text before and after the current cursor position. This can be used by the completer to improve the prediction.

#### Parameters

`before_text`

  Type: `const char*`

  The text before the cursor.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`after_text`

  Type: `const char*`

  The text after the cursor.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.